Bug 151658 - Ti G4 runs hot, cpu stuff not enabled
Ti G4 runs hot, cpu stuff not enabled
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cpufreq-utils (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jarod Wilson
:
Depends On:
Blocks: fedora-ppc
  Show dependency treegraph
 
Reported: 2005-03-21 10:21 EST by Andrew Cagney
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 09:50:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cagney 2005-03-21 10:21:58 EST
(I'm guessing that this is an install problem)

The Ti G4 runs hot because the cpu frequency stuff isn't loaded.

After loading all the modules

  insmod /lib/modules/<kernel>/kernel/drivers/cpufreq/cpufreq_*.ko

and installing all the packages/demons:

  cpufreq-utils
  cpuspeed

the problem went away (I suspect that less than this is needed :-).

(Other than that, and needing to install using text mode, it is running nicely!)
Comment 1 Warren Togami 2005-03-22 23:31:16 EST
This works with i686 and x86_64 because the cpufreq modules are compiled into
the kernel instead of being modules.  Is this problematic on ppc or something?
Comment 2 Christian Iseli 2007-01-19 19:42:05 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Jarod Wilson 2007-01-24 09:50:25 EST
I've got an Aluminum PowerBook G4 that does cpu frequency scaling just fine
under FC6. I'm going to close this bug accordingly, but yell loudly and wave
your hands if its still a problem on a Ti...

Note You need to log in before you can comment on or make changes to this bug.